SC_WARTSFILTER(1)

NAME
sc_wartsfilter - select specific records from a warts file

SYNOPSIS
sc_wartsfilter [-a address] [-i input-file] [-o output-file] [-O option] [-t record-type]

DESCRIPTION
The sc_wartsfilter utility selects specific records from warts(5) input, and outputs those records. The supported options to sc_wartsfilter are as follows:

-a address
    specifies an address or prefix of interest.

-i input-file
    specifies the input warts file to process.

-o output-file
    specifies the output warts file to write records to.

-O option
    allows the behavior of sc_wartsfilter to be further tailored. The current choices for this option are:
    -   check-hops: Check if an address of an intermediate hop in a trace or tracelb object matches.

-t record-type
    specifies a record type of interest. The current choices for this option are:
    -   dealias
    -   ping
    -   tbit
    -   trace
    -   tracelb

EXAMPLES
The command:

sc_wartsfilter -i input.warts -o output.warts -a 192.0.2.5

outputs all warts records with a destination address 192.0.2.5 from input.warts into output.warts.

The command:

sc_wartsfilter -i input.warts -o output.warts -a 2001:db8::/32

outputs all warts records with a destination address within the 2001:db8::/32 prefix into output.warts.

The command:

gzcat input.warts.gz | sc_wartsfilter -t ping | sc_warts2json

selects all ping records from a decompressed input file and and pipes them to sc_warts2json.

SEE ALSO
scamper(1), sc_warts2json(1), sc_wartsdump(1), warts(5)

AUTHORS
sc_wartsfilter was written by Matthew Luckie.